## sphinxcontrib-jsmath 1.0.1

=== Makefile ===
PYTHON ?= python3

.PHONY: all
all: clean-pyc clean-backupfiles style-check type-check test

.PHONY: clean
clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-testfiles clean-buildfiles clean-distfiles clean-mypyfiles

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

.PHONY: clean-pycache
clean-pycache:
	find . -name __pycache__ -exec rm -rf {} +

.PHONY: clean-patchfiles
clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

.PHONY: clean-backupfiles
clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +
	find . -name '*.swp' -exec rm -f {} +
	find . -name '*.swo' -exec rm -f {} +

.PHONY: clean-testfiles
clean-testfiles:
	rm -rf tests/.coverage
	rm -rf tests/build
	rm -rf .tox/
	rm -rf .cache/

.PHONY: clean-buildfiles
clean-buildfiles:
	rm -rf build

.PHONY: clean-distfiles
clean-distfiles:
	rm -rf dist/

.PHONY: clean-mypyfiles
clean-mypyfiles:
	rm -rf .mypy_cache/

.PHONY: style-check
style-check:
	@flake8

.PHONY: type-check
type-check:
	mypy sphinxcontrib

.PHONY: test
test:
	@$(PYTHON) -m pytest -v $(TEST)

=== debian/changelog ===
sphinxcontrib-jsmath (1.0.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Aug 2025 11:21:35 +0300

sphinxcontrib-jsmath (1.0.1-4) experimental; urgency=medium

  * Team upload.
  * [4960e6a] Drop "Testsuite: autopkgtest-pkg-python" header.
  * [ef74157] Add a patch to fix build with Sphinx 8.2.
  * [48787db] Run the autopkgtest for all supported Python versions.
  * [a50605d] Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 May 2025 11:49:28 +0300

sphinxcontrib-jsmath (1.0.1-3) unstable; urgency=medium

  * [907fa7f] update salsa CI config
  * [963f495] drop tag_date in egg_info to make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #1000532)
  * [72317c5] note that this enhances: python3-sphinx
  * [e93c451] need python3-all for autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Thu, 25 Nov 2021 07:20:09 -0500

sphinxcontrib-jsmath (1.0.1-2) unstable; urgency=medium

  * [623bdd6] make binary pkg name consistent with other sphinxcontrib modules
  * [a3ca109] manually add binary pkg deps
  * [01ae3df] install upstream changelog
  * [f51e330] fix testsuite warnings
  * [d6a6ae7] run upstream testsuite as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Sat, 30 Oct 2021 20:58:52 -0400

sphinxcontrib-jsmath (1.0.1-1) unstable; urgency=medium

  * Initial release

 -- Joseph Nahmias <jello@debian.org>  Thu, 28 Oct 2021 23:02:29 -0400

=== debian/control ===
Source: sphinxcontrib-jsmath
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-docutils <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/sphinx-doc/sphinxcontrib-jsmath
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-jsmath
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-jsmath.git
Rules-Requires-Root: no

Package: python3-sphinxcontrib.jsmath
Architecture: all
Depends: python3-docutils, python3-sphinx, ${python3:Depends}, ${misc:Depends}
Enhances: python3-sphinx
Description: sphinx extension to render math in HTML via JavaScript
 This package provides an extension to the Python sphinx documentation system
 which renders math as HTML using JavaScript.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinxcontrib.jsmath

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-sphinxcontrib.jsmath,
 python3-all,
 python3-docutils,
 python3-pytest,
 python3-sphinx,
